---
id: leech24
name: leech24
description: "leech24 is a Private Torrent Tracker for MOVIES / TV / GENERAL"
language: en-US
type: private
encoding: UTF-8
links:
  - https://leech24.net/

caps:
  categorymappings:
    - {id: 28, cat: TV/Anime, desc: "Anime - All"}
    - {id: 20, cat: PC, desc: "Apps - Linux"}
    - {id: 19, cat: PC/Mac, desc: "Apps - Mac"}
    - {id: 21, cat: PC/Mobile-Other, desc: "Apps - Other"}
    - {id: 18, cat: PC/0day, desc: "Apps - PC"}
    - {id: 9, cat: TV/Documentary, desc: "Documentaries - All"}
    - {id: 16, cat: Console/Other, desc: "Games - Dreamcast"}
    - {id: 45, cat: Console/NDS, desc: "Games - DS"}
    - {id: 46, cat: Console/Other, desc: "Games - GameCube"}
    - {id: 49, cat: Console/NDS, desc: "Games - Nintendo"}
    - {id: 17, cat: Console/Other, desc: "Games - Other"}
    - {id: 10, cat: PC/Games, desc: "Games - PC"}
    - {id: 11, cat: Console/PS3, desc: "Games - PS"}
    - {id: 12, cat: Console/PSP, desc: "Games - PSP"}
    - {id: 44, cat: Console/Wii, desc: "Games - Wii"}
    - {id: 13, cat: Console/XBox, desc: "Games - Xbox"}
    - {id: 3, cat: Movies/SD, desc: "Movies - 480p"}
    - {id: 57, cat: Movies/UHD, desc: "Movies - 4K"}
    - {id: 50, cat: Movies/BluRay, desc: "Movies - Bluray"}
    - {id: 51, cat: Movies/BluRay, desc: "Movies - Bluray-Full"}
    - {id: 1, cat: Movies/DVD, desc: "Movies - DVD"}
    - {id: 42, cat: Movies/HD, desc: "Movies - HD"}
    - {id: 54, cat: Movies/HD, desc: "Movies - MP4"}
    - {id: 4, cat: Movies/Other, desc: "Movies - Other"}
    - {id: 47, cat: Movies, desc: "Movies - Packs"}
    - {id: 2, cat: Movies/SD, desc: "Movies - SD/Xvid"}
    - {id: 61, cat: Movies/WEB-DL, desc: "Movies - Web-DL"}
    - {id: 56, cat: Movies/HD, desc: "Movies - x265"}
    - {id: 24, cat: Audio/Video, desc: "Music - DVD"}
    - {id: 23, cat: Audio/Lossless, desc: "Music - Lossless"}
    - {id: 22, cat: Audio/MP3, desc: "Music - MP3"}
    - {id: 27, cat: Audio/Other, desc: "Music - Other"}
    - {id: 26, cat: Audio/Other, desc: "Music - Radio"}
    - {id: 25, cat: Audio/Video, desc: "Music - Video"}
    - {id: 36, cat: Books/EBook, desc: "Other - E-Books"}
    - {id: 33, cat: PC, desc: "Other - Emulation"}
    - {id: 39, cat: Other, desc: "Other - Extra Pars/Fills"}
    - {id: 37, cat: Other, desc: "Other - Images"}
    - {id: 38, cat: PC/Mobile-Other, desc: "Other - Mobile Phone"}
    - {id: 40, cat: Other, desc: "Other - Other"}
    - {id: 34, cat: PC/Mobile-Other, desc: "Other - PPC/PDA"}
    - {id: 35, cat: Audio, desc: "Other - Sounds"}
    - {id: 58, cat: TV/SD, desc: "TV - 480p"}
    - {id: 52, cat: TV/UHD, desc: "TV - Bluray"}
    - {id: 6, cat: TV/SD, desc: "TV - Divx/Xvid"}
    - {id: 5, cat: TV/SD, desc: "TV - DVD-R"}
    - {id: 59, cat: TV/SD, desc: "TV - DVD-Rip"}
    - {id: 48, cat: TV/Other, desc: "TV - Packs"}
    - {id: 53, cat: TV/SD, desc: "TV - SD/x264"}
    - {id: 7, cat: TV/SD, desc: "TV - SVCD/VCD"}
    - {id: 62, cat: TV/WEB-DL, desc: "TV - Web-DL"}
    - {id: 41, cat: TV/HD, desc: "TV - x264"}
    - {id: 60, cat: TV/HD, desc: "TV - x265"}

  modes:
    search: [q]
    tv-search: [q, season, ep]
    movie-search: [q]
    music-search: [q]
    book-search: [q]

settings:
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: id
    options:
      id: created
      seeders: seeders
      size: size
      name: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc

login:
  method: cookie
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: /
    selector: a[href="account-logout.php"]

search:
  paths:
    # https://leech24.net/torrents-search.php?&search=&incldead=1&freeleech=0&lang=0
    - path: torrents-search.php
  inputs:
    $raw: "{{ range .Categories }}c{{.}}=1&{{end}}"
    search: "{{ .Keywords }}"
#    cat: 0 # causes 0 results
    # 0 active, 1 incldead, 2 onlydead
    incldead: 1
    # 0 all, 1 notfree, 2 onlyfree
    freeleech: "{{ if .Config.freeleech }}2{{ else }}0{{ end }}"
    # 0 all, 1 english, etc
    lang: 0
    sort: "{{ .Config.sort }}"
    order: "{{ .Config.type }}"
    # does not support imdbid search and does not return imdb link in results

  keywordsfilters:
    - name: re_replace
      args: ["(\\w+)", "+$1"] # prepend + to each word

  rows:
    selector: table.ttable_headinner tr.t-row:has(a[href^="download.php?id="])

  fields:
    category:
      selector: a[href^="torrents.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="torrents-details.php?id="]
      attribute: title
    details:
      selector: a[href^="torrents-details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php?id="]
      attribute: href
    date:
      text: now
    size:
      selector: td:nth-last-child(4)
    seeders:
      selector: td:nth-last-child(3)
    leechers:
      selector: td:nth-last-child(2)
    downloadvolumefactor:
      case:
        img[src="images/free.gif"]: 0
        "*": 1
    uploadvolumefactor:
      text: 1
    minimumratio:
      text: 0.95
# TT3.0
